Skip to content

Create a new email inbox. Omit `domain` for a built-in `@mail.pingram.io` address; set `domain` and `displayName` for a custom address on a verified domain.

POST
/addresses
curl --request POST \
--url https://api.pingram.io/addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "prefix": "example", "domain": "example", "displayName": "example" }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
prefix
required
string
domain
string
displayName
string
Examplegenerated
{
"prefix": "example",
"domain": "example",
"displayName": "example"
}

Responses

200

Successful response

Media typeapplication/json
object
address
required
object
fullAddress
required
string
prefix
required
string
domain
required
string
type
required
string
Allowed values: builtin custom
displayName
string
createdAt
required
string
Example
{
"address": {
"type": "builtin"
}
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}